Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003141 [JEDI VCL] 04 Feature Request feature N/A 2005-08-08 02:01 2006-04-05 01:21
Reporter ViC View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003141: More TJvDesktopAlert events
Description Actually, there are all the needed events, but there are some problems with their use. In particular, i need some post-show actions for the TJvFormDesktopAlert. But the event is called in the first line of the TJvFormDesktopAlert.DoShow method. So all my custom styling for the form is ruined... ;)) On the other hand, i think that some developers will need that event exactly where it is now, so just moving call of inherited DoShow to the end of the DoShow method is not a way out. Right now i just made some changes in the DoShow method, but thus i lost all the compatibility with the future progress :)).

My suggestion:
there should be 3 OnShow methods:
1) OnPreShow = existing OnShow
2) existing OnShow - to mantain compatibility
3) OnPostShow - will be called right before the end of the DoShow method.

Obones, what do you think?

Thank you.

--
Best regards,
Ivanov Victor
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008805)
obones (administrator)
2006-03-31 07:22

Events OnShowing and OnShown will be added to CVS as soon as the server is back online.
(0008936)
obones (administrator)
2006-04-05 01:21

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-08-08 02:01 ViC New Issue
2006-03-31 07:22 obones Note Added: 0008805
2006-03-31 07:22 obones Status new => confirmed
2006-04-05 01:21 obones Status confirmed => resolved
2006-04-05 01:21 obones Resolution open => fixed
2006-04-05 01:21 obones Assigned To => obones
2006-04-05 01:21 obones Note Added: 0008936


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker